function love.load()
  pSize = 16
  px,py = 32,0
  rectx, recty = 0,0
  falling = true
  plh = 16
  plw = 6
  plx = 320+plh
  wy,wx = 240-(240/8),0
  gui = love.graphics.newImage("gui_buttons.png")
  gui:setFilter('nearest','nearest')
  powerball = love.graphics.newImage("shoot.png")
  renderplatform = false
  sx = 0
  sy = 0
  rand = 0
  ply = wy - plw
  upl = 0
  upx = 0
  upy = 240-(240/2)
  mspeed = 2
  fspeed = 2
  uprender = false
  jump        = love.audio.newSource("jump.wav")
  start       = love.audio.newSource("start.wav")
  pick_up     = love.audio.newSource("pick_up.wav")
  death_kill  = love.audio.newSource("death.wav")
  shoot       = love.audio.newSource("shoot.wav")
end

function love.update(dt)
  if love.keyboard.isDown('c') then
    --shoot
  end

  if love.keyboard.isDown('v') then
      --jump(new mechanics)
      -- gotta jump on the platform
      if px > plx and px < plx+plh then
          py = upy-pSize
          --love.audio.play(jump)
      end
  end

  if falling == true and uprender == true and py < upy and not(py == upy-16) then
    py=py+fspeed
    falling = true;
  end
  if falling == true and not(py == wy-pSize) then
    py=py+fspeed
    falling = true;
  end
  if falling == true and uprender == true and py > upy and not(py == wy-pSize) then
    py=py+fspeed
    falling = true;
  end

  if py == wy-pSize then
    falling = false
  end

  if py == upy-pSize and uprender == true then
    falling = false;
  end

  if uprender == false  then
    falling = true
  end

    rand = love.math.random(1,30)


  if rand == 7 and renderplatform == false and uprender == false then
    --render a platform
    upl = love.math.random(240,640)
    uprender = true
    renderplatform = true
    rand = 0;
    upx = plx;
  end

  if renderplatform == true then
    plx = plx - mspeed
  end

  if plx == -plh then
    renderplatform = false
    plx = 320 + plh
  end

  if uprender == true then
    upx = upx - mspeed
  end
  if upx == 0-upl then
    uprender = false;
    upx = 320+upl
  end
end

function love.draw()
  love.graphics.setBackgroundColor(0,0,32)
  love.graphics.setColor(241,80,88)
  love.graphics.rectangle('fill',px,py ,pSize,pSize)

  love.graphics.setColor(150,150,150)
  love.graphics.rectangle('fill',wx,wy,320,wy)
  love.graphics.setColor(195,195,195)
  love.graphics.rectangle('fill',rectx,recty,320,48)
  love.graphics.setColor(255,255,255)
  love.graphics.draw(gui,0,0)
  love.graphics.setColor(26,117,255)
  if renderplatform == true then
    love.graphics.rectangle('fill',plx,ply,plh,plw)
  end
  if uprender == true then
    love.graphics.setColor(140,140,140)
    love.graphics.rectangle('fill',upx,upy,upl, 16)
  end


  --DEBUG [[[REMOVE IT AT THE END]]]
  love.graphics.setColor(255,0,0)
  love.graphics.print(pSize,280,128)
  love.graphics.print(rand, 280,138)
  love.graphics.print(px,280,158)
  love.graphics.print(py,280,168)
  love.graphics.print(tostring(renderplatform),280,178)
  love.graphics.print(tostring(uprender),280,108)
  love.graphics.print(plx,280,188)
  love.graphics.print(upl,280,118)
  love.graphics.print(upx,280,198)
  --END OF DEBUG
  love.graphics.setColor(255,255,255)
  --if
  --love.graphics.draw(powerball,sx,sy)

end
